SDL_calloc(3)

NAME
SDL_calloc - Allocate a zero-initialized array.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

void * SDL_calloc(size_t nmemb, size_t size);

DESCRIPTION
The memory returned by this function must be freed with

SDL_free ().

If either of nmemb or size is 0, they will both be set to 1.

FUNCTION PARAMETERS

nmemb
    the number of elements in the array.

size
    the size of each element of the array.

RETURN VALUE
Returns a pointer to the allocated array, or NULL if allocation failed.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_free(3), •(3), SDL_malloc(3), •(3), SDL_realloc(3)